\section{Collaboration}
Teams are only efficient, when the team members do work together.

\subsection{Programmers Vs People}
A lot of the programmers have not become programmers because of the work with people. Most of them have become programmers because they can work alone on a technical problem for hours without anyone else.

\subsection{Programmers Vs Programmers}

\paragraph{Owned Code}
The code of a product should always be owned by a team and not by an individual. If a programmer does isolate his code, this is always a bad sign.

\paragraph{Collective Ownership}
If the team does have the ownership of the code. The code does automatically get improved when feedback processes are used to review the code of other team members.

\paragraph{Pairing}
Many programmers do not like the idea of pair-programming. But it is often a very efficient working method to extend knowledge or to solve a problem efficiently.